﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=12.5
@EndOfDesignText@
#DesignerProperty: Key: BooleanExample, DisplayName: Show Seconds, FieldType: Boolean, DefaultValue: True
#DesignerProperty: Key: TextColor, DisplayName: Text Color, FieldType: Color, DefaultValue: 0xFFFFFFFF, Description: Text color

Sub Class_Globals
	Private mEventName As String 'ignore
	Private mCallBack As Object 'ignore
	Public mBase As B4XView
	Private xui As XUI 'ignore
	Public Tag As Object
	
	Public HScrollview As HorizontalScrollView
	Public VScrollView As ScrollView
	

End Sub

Public Sub Initialize (Callback As Object, EventName As String)
	mEventName = EventName
	mCallBack = Callback
	
	HScrollview.Initialize(1,"hscrollview")
	VScrollView.initialize(1)
End Sub
'Base type must be Object
Public Sub DesignerCreateView (Base As Object, Lbl As Label, Props As Map)
	mBase = Base
    Tag = mBase.Tag
    mBase.Tag = Me
	
	' scrollview setup
	HScrollview.Height = HScrollview.Panel.Height
	HScrollview.Width =mBase.width
	Sleep(0)
	setLayoutFile("Test.bal")
	VScrollView.Height = mBase.Height
	VScrollView.Width = mBase.Width
	VScrollView.Panel.AddView(HScrollview,0,0,HScrollview.Width,HScrollview.Height)
		
	' Add scrollview to base
	mBase.AddView(VScrollView,0,0,mBase.width,mBase.height)

End Sub

Private Sub Base_Resize (Width As Double, Height As Double)
  
End Sub

public Sub setLayoutFile(Layout As String)
		' load layout
		HScrollview.Panel.RemoveAllViews
		HScrollview.Panel.LoadLayout(Layout)
		' resize inner panel 
		Dim w,h As Int
		For Each v As View In HScrollview.panel.GetAllViewsRecursive
			If v.Left + v.Width > w Then w = v.Left + v.Width
			If v.Top + v.Height > h Then h = v.Top + v.Height
		Next
		HScrollview.panel.Width = w
		HScrollview.panel.Height = h
		
		VScrollView.Panel.Height = HScrollview.panel.Height
		VScrollView.Panel.Width = mBase.Width
End Sub
